#!/bin/bash -e
#
# Copyright 2015 Univention GmbH
#
# http://www.univention.de/
#
# All rights reserved.
#
# The source code of this program is made available
# under the terms of the GNU Affero General Public License version 3
# (GNU AGPL V3) as published by the Free Software Foundation.
#
# Binary versions of this program provided by Univention to you as
# well as other copyrighted, protected or trademarked materials like
# Logos, graphics, fonts, specific documentations and configurations,
# cryptographic keys etc. are subject to a license agreement between
# you and Univention and not subject to the GNU AGPL V3.
#
# In the case you use this program under the terms of the GNU AGPL V3,
# the program is provided in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
# GNU Affero General Public License for more details.
#
# You should have received a copy of the GNU Affero General Public
# License with the Debian GNU/Linux or Univention distribution in file
# /usr/share/common-licenses/AGPL-3; if not, see
# <http://www.gnu.org/licenses/>.

PATH="$PATH:/usr/share/univention-docker-dev/scripts"

ARCH=$(dpkg --print-architecture)

for version in 4.1-0; do
	## 1. Create ucs-minbase image via debootstrap
	docker rmi "univention/ucs-minbase-${ARCH}:${version}" || true
	create-minbase-image.sh http://updates-test.software-univention.de/4.1/maintained/${version}/

	## For convenience tag this image as latest
	docker rmi "univention/ucs-minbase-${ARCH}:latest" || true
	docker tag "univention/ucs-minbase-${ARCH}:${version}" \
		"univention/ucs-minbase-${ARCH}:latest"

	## 2. Create ucs-appbox-minbase image via Dockerfile
	docker rmi "univention/ucs-appbox-${ARCH}:${version}" || true
	create-appbox-minbase-image.sh "${version}"
done
